return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local rr = 0.8
    local er = 0.5
    local ep, sp, dy

    page.layer.x = page.layer.x + offset

    if( percent < 0 ) then
        page:scale(0)
    else
        if( percent < er ) then
        	ep = percent
        else
        	do
        		ep = er
        		sp = 1-((percent-er)/(1-er))
        		dy = (1-sp) * page.height / 4
        		page:scale(sp)
	        	page:translate(0, -dy, 0)
	        end
        end
        page:rotate(ep*rr*math.pi/2/er, 1, 0, 0)
    end
end
